VGEXTEND(8)

NAME
vgextend - add physical volumes to a volume group

SYNOPSIS
vgextend [-A|--autobackup y|n] [-d|--debug] [-h|-?|--help] [--restoremissing] [-f|--force] [-t|--test] [-v|--verbose] [ PHYSICAL DEVICE OPTIONS ] VolumeGroupName PhysicalDevicePath [PhysicalDevicePath...]

DESCRIPTION
vgextend allows you to add one or more initialized physical volumes ( see pvcreate(8) ) to an existing volume group to extend it in size. Moreover, it allows you to re-add a physical volume that has gone missing previously, due to a transient device failure, without re-initialising it. Use vgextend --restoremissing to that effect.

If PhysicalDevicePath was not previously configured for LVM with pvcreate (8), the device will be initialized with the same default values used with pvcreate. If non-default pvcreate values are are desired, they may be given on the commandline with the same options as pvcreate. See PHYSICAL DEVICE OPTIONS for available options. Note that the restore-related options such as --restorefile, --uuid, and --physicalvolumesize are not available. If a restore operation is needed, use pvcreate (8) and vgcfgrestore (8).

OPTIONS
See lvm for common options.

PHYSICAL DEVICE OPTIONS
The following options are available for initializing physical devices in the volume group. These options are further described in the pvcreate man page.

-f, --force

-y, --yes

-Z, --zero y|n

--labelsector sector

--metadatasize size

[--metadataignorey|n]

--pvmetadatacopies copies

--dataalignment alignment

--dataalignmentoffset alignment_offset

Examples
"vgextend vg00 /dev/sda4 /dev/sdn1" tries to extend the existing volume group "vg00" by the new physical volumes (see pvcreate(8) ) "/dev/sdn1" and /dev/sda4".

SEE ALSO
lvm(8), vgcreate(8), vgreduce(8), pvcreate(8)